Bug 4288 - Wrong song length in xmms 1.2.10
: Wrong song length in xmms 1.2.10
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xmms-in-mad)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-03 14:24 by
Modified: 2006-09-28 01:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-03 14:24:17
I have made "apt-get dist-upgrade". I have all components which have xmms
substring in their names. Xmms 1.2.10 show wrong song length. For example, I
have song that lasts 3:00, xmms shows that its length is 33:04. Two additions:
1) in "File Info" window it shows correct song length; 2) it reproduces only on
songs with constant bitrate, not variable.
------- Comment #1 From 2004-06-04 18:12:09 -------
Is wrong length fixated in ~/.xmms/xmms.m3u or UI problem only?

If possible, would be helpful to try to build pristine 1.2.10 to sort out
possible problem with e.g. rusxmms patch or one of the others.

Didn't notice such things myself, so need more input.
------- Comment #2 From 2004-06-15 16:01:33 -------
After todays (15.06.2004) "apt-get dist-upgrade" this bug dissapeared.
------- Comment #3 From 2004-06-15 21:06:37 -------
I didn't fix anything that could be related ni 1.2.10-alt3.  So it's either
rebuild effect or some inter-component change from state that manifested itself
on your host specifically.

So do we close the bug or let it hang?
------- Comment #4 From 2004-06-16 10:40:59 -------
I suppose that rebuilding of glibc affects in such way. I have 2 hosts (desktop
& laptop). Both have the same behavior. Let's close this bug, if it will
reappear I will reopen bug.
------- Comment #5 From 2004-06-21 14:00:56 -------
After todays (21.06.2004) "apt-get dist-upgrade" this bug reappear. I suppose
that there is a bug in glibc that affects to xmms.
------- Comment #6 From 2004-07-12 17:56:36 -------
Today I have debug xmms and found that problem in xmms-in-mad plugin. It wrong
calculates song length. After uninstalling this package song length calculates
by mpg123 library and it calculates length correctly. There are two ways from
this situation:
1) Remove xmms-in-mad from sisyphus.
2) Rebuild xmms-in-mad plugin using latest(0.6) version and pray that
http://sourceforge.net/tracker/index.php?func=detail&aid=958333&group_id=30898&atid=400956
patch is in these sources.
------- Comment #7 From 2004-07-12 18:18:25 -------
well so it belongs to that package then...
------- Comment #8 From 2004-07-12 18:18:54 -------
thanks for investigation though!
------- Comment #9 From 2006-09-28 01:43:56 -------
I guess it's fixed -- there was 0.6, and finally 0.8.
------- Comment #10 From 2006-09-28 01:45:18 -------
* Sat Feb 19 2005 LAKostis <lakostis@> 0.8-alt1
- 0.8.

* Sat Feb 19 2005 LAKostis <lakostis@> 0.7-alt1.1
- add patch for correct wave header checks (adopted from xmms source).

* Fri Dec 24 2004 LAKostis <lakostis@> 0.7-alt1
- 0.7.

* Tue Jul 13 2004 Alexander V. Denisov <rupor@> 0.6-alt1
- Finally fixed fast playtime calculation (i hope)
- Use autoreconf in bootstrap